Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 698512 (MFSA-2019-33) - <www-client/firefox{,-bin}-{68.2.0,70.0}: multiple vulnerabilities (MFSA-2019-33)
Summary: <www-client/firefox{,-bin}-{68.2.0,70.0}: multiple vulnerabilities (MFSA-2019...
Status: RESOLVED FIXED
Alias: MFSA-2019-33
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal major (vote)
Assignee: Gentoo Security
URL: https://www.mozilla.org/en-US/securit...
Whiteboard: A2 [glsa+ cve]
Keywords: STABLEREQ
Depends on:
Blocks: CVE-2019-11757, CVE-2019-11759, CVE-2019-11760, CVE-2019-11761, CVE-2019-11762, CVE-2019-11763, CVE-2019-11764
  Show dependency tree
 
Reported: 2019-10-25 11:34 UTC by GLSAMaker/CVETool Bot
Modified: 2019-11-25 00:17 UTC (History)
1 user (show)

See Also:
Package list:
www-client/firefox-68.2.0
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description GLSAMaker/CVETool Bot gentoo-dev 2019-10-25 11:34:24 UTC
Incoming details.
Comment 1 Thomas Deutschmann gentoo-dev Security 2019-10-25 11:36:44 UTC
CVE-2019-11757: Use-after-free when creating index updates in IndexedDB

Impact
    high

Description

When following the value's prototype chain, it was possible to retain a reference to a locale, delete it, and subsequently reference it. This resulted in a use-after-free and a potentially exploitable crash.


CVE-2019-11759: Stack buffer overflow in HKDF output

Impact
    moderate

Description

An attacker could have caused 4 bytes of HMAC output to be written past the end of a buffer stored on the stack. This could be used by an attacker to execute arbitrary code or more likely lead to a crash.


CVE-2019-11760: Stack buffer overflow in WebRTC networking

Impact
    moderate

Description

A fixed-size stack buffer could overflow in nrappkit when doing WebRTC signaling. This resulted in a potentially exploitable crash in some instances.


CVE-2019-11761: Unintended access to a privileged JSONView object

Impact
    moderate

Description

By using a form with a data URI it was possible to gain access to the privileged JSONView object that had been cloned into content. Impact from exposing this object appears to be minimal, however it was a bypass of existing defense in depth mechanisms.


CVE-2019-11762: document.domain-based origin isolation has same-origin-property violation

Impact
    moderate

Description

If two same-origin documents set document.domain differently to become cross-origin, it was possible for them to call arbitrary DOM methods/getters/setters on the now-cross-origin window.


CVE-2019-11763: Incorrect HTML parsing results in XSS bypass technique

Impact
    moderate

Description

Failure to correctly handle null bytes when processing HTML entities resulted in Firefox incorrectly parsing these entities. This could have led to HTML comment text being treated as HTML which could have led to XSS in a web application under certain conditions. It could have also led to HTML entities being masked from filters - enabling the use of entities to mask the actual characters of interest from filters.


CVE-2019-11764: Memory safety bugs fixed in Firefox 70 and Firefox ESR 68.2

Impact
    critical

Description

Mozilla developers and community members Bob Clary, Jason Kratzer, Aaron Klotz, Iain Ireland, Tyson Smith, Christian Holler, Steve Fink, Honza Bambas, Byron Campen, and Cristian Brindusan reported memory safety bugs present in Firefox 69 and Firefox ESR 68.1. Some of these bugs showed evidence of memory corruption and we presume that with enough effort some of these could be exploited to run arbitrary code.
Comment 2 Thomas Deutschmann gentoo-dev Security 2019-10-25 11:39:18 UTC
Freeing CVE aliases shared with mail-client/thunderbird to create tracker bug.
Comment 3 Thomas Deutschmann gentoo-dev Security 2019-10-25 20:33:27 UTC
x86 stable
Comment 4 Thomas Deutschmann gentoo-dev Security 2019-10-26 17:30:03 UTC
amd64 stable
Comment 5 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2019-11-06 23:17:14 UTC
arm64 stable
Comment 6 Larry the Git Cow gentoo-dev 2019-11-08 01:11:05 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=abffed4dc35eed97a35ea24931085f1c4adaa7ac

commit abffed4dc35eed97a35ea24931085f1c4adaa7ac
Author:     Thomas Deutschmann <whissi@gentoo.org>
AuthorDate: 2019-11-08 00:58:38 +0000
Commit:     Thomas Deutschmann <whissi@gentoo.org>
CommitDate: 2019-11-08 01:10:54 +0000

    www-client/firefox-bin: security cleanup (#698512)
    
    Bug: https://bugs.gentoo.org/698512
    Package-Manager: Portage-2.3.78, Repoman-2.3.17
    Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>

 www-client/firefox-bin/Manifest                  | 179 -----------------------
 www-client/firefox-bin/firefox-bin-60.9.0.ebuild | 178 ----------------------
 www-client/firefox-bin/firefox-bin-69.0.3.ebuild | 174 ----------------------
 3 files changed, 531 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7c27a2fe5222c9d0385c26e4c995b261bafad317

commit 7c27a2fe5222c9d0385c26e4c995b261bafad317
Author:     Thomas Deutschmann <whissi@gentoo.org>
AuthorDate: 2019-11-08 00:57:39 +0000
Commit:     Thomas Deutschmann <whissi@gentoo.org>
CommitDate: 2019-11-08 01:10:53 +0000

    www-client/firefox: security cleanup (#698512)
    
    Bug: https://bugs.gentoo.org/698512
    Package-Manager: Portage-2.3.78, Repoman-2.3.17
    Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>

 www-client/firefox/Manifest              | 185 --------
 www-client/firefox/firefox-60.9.0.ebuild | 443 ------------------
 www-client/firefox/firefox-68.1.0.ebuild | 775 -------------------------------
 3 files changed, 1403 deletions(-)
Comment 7 GLSAMaker/CVETool Bot gentoo-dev 2019-11-25 00:17:50 UTC
This issue was resolved and addressed in
 GLSA 201911-07 at https://security.gentoo.org/glsa/201911-07
by GLSA coordinator Aaron Bauman (b-man).